* {
    margin: 0;
    padding: 0;
}

:root {
    --Top-color: #40404a;
    --Bottom-color: #30303a;

    --Top-Height: 40vh;
    --Bottom-Height: calc(100vh - var(--Top-Height));

}

body {
    background-color: #202020;
}

main {
    width: 100%;
    height: calc(100vh);
    margin: auto;
}

.Top {
    height: var(--Top-Height);
    width: 100vw;
    background-color: var(--Top-color);
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.Bottom {
    height: var(--Bottom-Height);
    width: 100%;
    background-color: var(--Bottom-color);
    display: flex;
    align-items: center;
}

.link{
    cursor: pointer;
}

.sites_container {
    width: 80%;
    height: auto;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.imp_sites {
    width: 35%;
    height: 40px;
    padding: 5px;
    padding-left: 25px;
    background-color: #aaa;
    border: 2px solid #000;
    border-radius: 20px;
    box-shadow: 2px 2px 10px #021b5f;
    display: flex;
    align-items: center;
    gap: 20px;
    transition: 0.95s;
}

div.imp_sites:nth-child(odd) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}


div.imp_sites:nth-child(even) {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

@media only screen and (max-width: 5044px) and (min-width:600px){
    div.imp_sites:nth-child(odd):hover {
        transform-origin: right center;
    }
    
    div.imp_sites:nth-child(even):hover {
        transform-origin: left center;
    }
    div.imp_sites:nth-child(1):hover {
        transform-origin: 100% 100%;
        transform: scaleY(110%) scaleX(110%);
    }

    div.imp_sites:nth-child(2):hover {
        transform-origin: 0% 100%;
        transform: scaleY(110%) scaleX(110%);
    }

    div.imp_sites:nth-last-child(2):hover {
        transform-origin: 100% 0%;
        transform: scaleY(110%) scaleX(110%);
    }

    div.imp_sites:nth-last-child(1):hover {
        transform-origin: 0% 0%;
        transform: scaleY(110%) scaleX(110%);
    }

}
div.imp_sites:hover {
    animation: reappear 0.95s linear;
    transform: scaleX(110%);
    background-image: linear-gradient(#555, #222);
}

@keyframes reappear {
    from {
        opacity: 1;
        background-image: linear-gradient(#aaa, #aaa);
    }

    50% {
        opacity: 0;
    }

    to {
        opacity: 1;
        background-image: linear-gradient(#555, #222);
    }

}


.logo {
    width: 40px;
    height: 40px;
}

.Youtube {
    width: 50px;
    height: auto;
}

.gip {
    border-radius: 50%;
}

:root{
    --my-img-size: calc(40vh - 50px);
    --social-item-size: calc(var(--my-img-size) / 6);
}

@property --angle{
    syntax: "<angle>";
    initial-value: 0deg;
    inherits: false;
}

.my-img{
    width: var(--my-img-size);
    height: var(--my-img-size);
    border-radius: 100%;
    position: relative;
    z-index: 1;
}

.my-img::after, .my-img::before{
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    background: conic-gradient(from var(--angle), #ff4545, #00ff99, #006aff, #ff0095, #ff4545);
    top:50%;
    left: 50%;
    translate: -50% -50%;
    z-index: 0;
    padding: 5px;
    border-radius: 100%;
    animation: 20s spin linear infinite;
}

@keyframes spin{
    from{
        --angle: 0deg;
    }
    to{
        --angle: 360deg
    }
}

.my-img::before{
    filter: blur(1.5rem);
}

.social-bar{
    display: flex;
    gap: 20px;
    transform-style: preserve-3d;
    transform: perspective(1000px);
}

.social-bar .social-item{
    padding: 10px;
    height: var(--social-item-size);
    aspect-ratio: 1 / 1;
    justify-content: space-around;
    background-color: #aaa;
    border-radius: 100%;
    border: 2px solid #000;
    transition: 0.95s;
}
.social-bar .social-item:hover{
    transform: translateZ(100px);
    animation: reappear 0.95s linear;
    background-image: linear-gradient(#555, #222);
}


@media only screen and (max-width: 600px){
    
    :root{
        --Top-Height: 35vh;
        
        --social-item-size: calc(100vw / 15);
        --my-img-size: calc(var(--Top-Height) / 2);
    }

    .Top{
        display: flex;
        flex-direction: column;
    }

    .sites_container{
        gap: 10px;
    }
    
    div.imp_sites:nth-child(odd), div.imp_sites:nth-child(even){
        width: 70%;
        border-radius: 20px;
    }

    div.imp_sites:hover{
        transform-origin: 50% 50%;
        transform: scaleX(110%);
    }
}